%{?scl:%scl_package cfme}
%{!?scl:%global pkg_name %{name}}

%global app_root /var/www/miq/vmdb
%global doc_root %{_datadir}/%{name}-doc

Name:     cfme
Version:  5.10.9.1
Release:  1%{?dist}
Summary:  CloudForms Management Engine

Group:    Applications/System
License:  Unknown
URL:      https://github.com/ManageIQ/manageiq
Source0:  %{name}-%{version}.tar.gz

# Ruby
Requires: %{?scl_prefix}ruby(release) >= 2.4.6
Requires: %{?scl_prefix}ruby(rubygems)

Requires: cfme-gemset = %{version}

Requires: ansible-runner >= 1.3.4
Requires: cockpit-ssh
Requires: cockpit-ws
Requires: net-snmp
Requires: net-snmp-libs
Requires: net-snmp-utils
Requires: socat

# Chinese and Japanese fonts for PDF reports
Requires: prince
Requires: cjkuni-ukai-fonts
Requires: cjkuni-uming-fonts
Requires: vlgothic-fonts
Requires: vlgothic-p-fonts

%description
CloudForms Management Engine

%prep
%setup -q

%build

%pre

%pretrans -p <lua>
if posix.access('/bin/evmserver.sh', 'x') then
  local pid = posix.fork ()
  if ( pid == -1 ) then
    print ("The fork failed.")
  elseif ( pid == 0 ) then
    posix.exec('/bin/evmserver.sh', 'update_stop')
  else
    posix.wait(pid)
  end
end

%posttrans -p <lua>
if posix.access('/bin/evmserver.sh', 'x') then
  local pid = posix.fork ()
  if ( pid == -1 ) then
    print ("The fork failed.")
  elseif ( pid == 0 ) then
    posix.exec('/bin/evmserver.sh', 'update_start')
  else
    posix.wait(pid)
  end
end

%install

%{__mkdir} -p %{buildroot}%{app_root}
%{__cp} -r * %{buildroot}%{app_root}

%post
crontab -l | grep -v "run_ntpdate" | crontab
%{__cp} -f %{app_root}/config/cable.yml.sample %{app_root}/config/cable.yml

# Remove stock certificate during upgrade, the appliance will generate its own
pushd %{app_root}/certs
  echo 'f4beed356f29982597a306a507863fb1 server.cer'     | md5sum --status -c && rm -f server.cer
  echo 'f7d08607aa85c50546ddf38949179ab3 server.cer.key' | md5sum --status -c && rm -f server.cer.key
popd

# Ensure that we have more than one connection in the pool in database.yml
sed -i.old 's/pool: 1/pool: 5/' %{app_root}/config/database.yml

pushd /etc/yum.repos.d
  # Delete yum repo files created by ansible-tower 3.2.4 or 3.3.3
  if [ -f ansible-el7.repo ]; then echo "671b03409ef2cf44ef1f3ead2a22dc87 ansible-el7.repo" | md5sum --status -c && rm -f ansible-el7.repo; fi
  if [ -f ansible-tower.repo ]; then echo "c661b2357601ff932fab78235db1371c ansible-tower.repo" | md5sum --status -c && rm -f ansible-tower.repo; fi
  if [ -f epel-7.repo ]; then echo "cf5fc2196eb8606626b5bf8c766f7c80 epel-7.repo" | md5sum --status -c && rm -f epel-7.repo; fi
  if [ -f jlaska-rabbitmq.repo ]; then echo "ee0f75badfcbe00b286417e8e4154b79 jlaska-rabbitmq.repo" | md5sum --status -c && rm -f jlaska-rabbitmq.repo; fi
  if [ -f pgdg-96-centos.repo ]; then echo "c6b7a33f2510e91d09ed3c6dc6d420d7 pgdg-96-centos.repo" | md5sum --status -c && rm -f pgdg-96-centos.repo; fi
  if [ -f rabbitmq.repo ]; then echo "6efceaf398c4ed8e55fedfc73d2df814 rabbitmq.repo" | md5sum --status -c && rm -f rabbitmq.repo; fi
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{app_root}
%config(noreplace) %{app_root}/certs/*
%config(noreplace) %{app_root}/public/custom.css

%changelog
* Wed Aug 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.9.1-1
- 5.10.9.1-1 build

* Mon Aug 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.9.0-1
- 5.10.9.0-1 build

* Mon Jul 29 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.8.0-1
- 5.10.8.0-1 build

* Fri Jul 12 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.7.1-1
- 5.10.7.1-1 build

* Tue Jul 09 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.7.0-1
- 5.10.7.0-1 build

* Fri Jun 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.6.1-1
- 5.10.6.1-1 build

* Mon Jun 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.6.0-1
- 5.10.6.0-1 build

* Tue May 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.5.1-1
- 5.10.5.1-1 build

* Tue May 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.5.0-1
- 5.10.5.0-1 build

* Thu May 09 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.3-1
- 5.10.4.3-1 build

* Wed May 08 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.2-1
- 5.10.4.2-1 build

* Tue Apr 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.1-1
- 5.10.4.1-1 build

* Wed Apr 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.0-1
- 5.10.4.0-1 build

* Mon Apr 15 2019 John Prause <jprause@redhat.com> - 5.10.3.3-1
- 5.10.3.3-1 build

* Wed Apr 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.3.2-1
- 5.10.3.2-1 build

* Mon Apr 08 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.3.1-1
- 5.10.3.1-1 build

* Tue Apr 02 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.3.0-1
- 5.10.3.0-1 build

* Tue Mar 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.2.2-1
- 5.10.2.2-1 build

* Mon Mar 18 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.2.1-1
- 5.10.2.1-1 build

* Mon Mar 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.2.0-1
- 5.10.2.0-1 build

* Tue Feb 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.2-2
- 5.10.1.2-2 build

* Tue Feb 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.2-1
- 5.10.1.2-1 build

* Tue Feb 12 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.1-1
- 5.10.1.1-1 build

* Wed Feb 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.0-1
- 5.10.1.0-1 build

* Tue Jan 29 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.33-1
- 5.10.0.33-1 build

* Wed Jan 16 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.32-2
- 5.10.0.32-2 build

* Tue Jan 15 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.32-1
- 5.10.0.32-1 build

* Tue Jan 08 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.31-1
- 5.10.0.31-1 build

* Tue Dec 18 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.30-1
- 5.10.0.30-1 build

* Tue Dec 11 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.29-1
- 5.10.0.29-1 build

* Tue Dec 04 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.28-1
- 5.10.0.28-1 build

* Wed Nov 28 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.27-1
- 5.10.0.27-1 build

* Tue Nov 27 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.26-1
- 5.10.0.26-1 build

* Tue Nov 20 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.25-1
- 5.10.0.25-1 build

* Tue Nov 13 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.24-1
- 5.10.0.24-1 build

* Tue Nov 06 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.23-1
- 5.10.0.23-1 build

* Tue Oct 30 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.22-1
- 5.10.0.22-1 build

* Tue Oct 23 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.21-1
- 5.10.0.21-1 build

* Tue Oct 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.20-1
- 5.10.0.20-1 build

* Tue Oct 09 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.19-1
- 5.10.0.19-1 build

* Wed Oct 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.18-1
- 5.10.0.18-1 build

* Thu Sep 27 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.17-1
- 5.10.0.17-1 build

* Wed Sep 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.16-1
- 5.10.0.16-1 build

* Fri Sep 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.15-1
- 5.10.0.15-1 build

* Fri Aug 31 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.14-1
- 5.10.0.14-1 build

* Wed Aug 22 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.12-1
- 5.10.0.12-1 build

* Thu Aug 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.11-1
- 5.10.0.11-1 build

* Tue Aug 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.10-1
- 5.10.0.10-1 build

* Wed Aug 01 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.8-1
- 5.10.0.8-1 build

* Wed Jul 25 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.6-1
- 5.10.0.6-1 build

* Wed Jul 18 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.5-1
- 5.10.0.5-1 build

* Thu Jul 12 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.4-1
- 5.10.0.4-1 build

* Thu Jul 05 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.3-1
- 5.10.0.3-1 build

* Tue Jun 26 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.2-1
- 5.10.0.2-1 build

* Tue Jun 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.1-1
- 5.10.0.1-1 build

* Wed Jun 13 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.0-1
- 5.10.0.0-1 build

* Tue May 22 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.3.0-1
- 5.9.3.0-1 build

* Tue May 01 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.4-1
- 5.9.2.4-1 build

* Thu Apr 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.3-1
- 5.9.2.3-1 build

* Tue Apr 10 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.2-1
- 5.9.2.2-1 build

* Tue Apr 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.1-1
- 5.9.2.1-1 build

* Tue Mar 20 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.0-1
- 5.9.2.0-1 build

* Wed Mar 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.1.0-1
- 5.9.1.0-1 build

* Wed Feb 21 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.22-1
- 5.9.0.22-1 build

* Wed Feb 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.21-1
- 5.9.0.21-1 build

* Tue Feb 06 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.20-1
- 5.9.0.20-1 build

* Tue Jan 30 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.19-1
- 5.9.0.19-1 build

* Thu Jan 25 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.18-1
- 5.9.0.18-1 build

* Tue Jan 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.17-1
- 5.9.0.17-1 build

* Tue Jan 09 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.16-1
- 5.9.0.16-1 build

* Wed Jan 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.15-1
- 5.9.0.15-1 build

* Tue Dec 19 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.14-1
- 5.9.0.14-1 build

* Tue Dec 12 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.13-1
- 5.9.0.13-1 build

* Tue Dec 05 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.12-1
- 5.9.0.12-1 build

* Mon Nov 27 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.11-1
- 5.9.0.11-1 build

* Tue Nov 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.10-1
- 5.9.0.10-1 build

* Wed Nov 15 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.9-1
- 5.9.0.9-1 build

* Thu Nov 09 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.8-1
- 5.9.0.8-1 build

* Tue Nov 07 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.7-1
- 5.9.0.7-1 build

* Fri Nov 03 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.6-1
- 5.9.0.6-1 build

* Wed Nov 01 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.5-1
- 5.9.0.5-1 build

* Tue Oct 24 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.4-1
- 5.9.0.4-1 build

* Tue Oct 17 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.3-1
- 5.9.0.3-1 build

* Tue Oct 10 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.2-1
- 5.9.0.2-1 build

* Wed Oct 04 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.1-1
- 5.9.0.1-1 build

* Thu Aug 24 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.2.0-1
- 5.8.2.0-1 build

* Tue Jul 25 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.1.5-1
- 5.8.1.5-1 build

* Fri Jul 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.1.4-1
- 5.8.1.4-1 build

* Thu Jul 20 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.1.3-1
- 5.8.1.3-1 build

* Wed Jul 12 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.1.2-1
- 5.8.1.2-1 build

* Tue Jul 11 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.1.1-1
- 5.8.1.1-1 build

* Fri Jun 23 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.1.0-1
- 5.8.1.0-1 build

* Thu May 25 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.17-1
- 5.8.0.17-1 build

* Mon May 22 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.16-1
- 5.8.0.16-1 build

* Wed May 17 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.15-1
- 5.8.0.15-1 build

* Tue May 09 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.14-rc3.1
- 5.8.0.14-rc3.1 build

* Tue May 02 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.13-rc2.1
- 5.8.0.13-rc2.1 build

* Tue Apr 25 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.12-rc1.1
- 5.8.0.12-rc1.1 build

* Tue Apr 18 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.11-beta2.1
- 5.8.0.11-beta2.1 build

* Tue Apr 11 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.10-beta1.1
- 5.8.0.10-beta1.1 build

* Tue Apr 04 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.9-alpha2.1
- 5.8.0.9-alpha2.1 build

* Tue Mar 28 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.8-alpha1.1
- 5.8.0.8-alpha1.1 build

* Tue Mar 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.7-1
- 5.8.0.7-1 build

* Wed Mar 15 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.6-1
- 5.8.0.6-1 build

* Tue Mar 14 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.5-1
- 5.8.0.5-1 build

* Tue Mar 07 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.4-2
- 5.8.0.4-2 build, update ovirt-engine-sdk version

* Tue Mar 07 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.4-1
- 5.8.0.4-1 build

* Wed Mar 01 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.3-1
- 5.8.0.3-1 build

* Thu Feb 23 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.2-1
- 5.8.0.2-1 build

* Tue Feb 14 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.1-1
- 5.8.0.1-1 build

* Wed Feb 01 2017 Satoe Imaishi <simaishi@redhat.com> - 5.8.0.0-1
- 5.8.0.0-1 build

* Mon Dec 19 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.17-1
- 5.7.0.17-1 build

* Tue Dec 13 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.16-1
- 5.7.0.16-1 build

* Tue Dec 06 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.14-rc4.1
- 5.7.0.14-rc4.1 build

* Tue Nov 29 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.13-rc3.1
- 5.7.0.13-rc3.1 build

* Wed Nov 23 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.12-rc2.1
- 5.7.0.12-rc2.1 build

* Tue Nov 15 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.11-rc1.1
- 5.7.0.11-rc1.1 build

* Wed Nov 09 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.10-beta3.1
- 5.7.0.10-beta3.1 build

* Tue Nov 01 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.9-beta2.1.1
- 5.7.0.9-beta2.1.1 build

* Tue Oct 25 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.7-beta1.1
- 5.7.0.7-beta1.1 build

* Wed Oct 19 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.6-alpha3.1
- 5.7.0.6-alpha3.1 build

* Fri Oct 14 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.5-alpha2.1
- 5.7.0.5-alpha2.1 build

* Wed Oct 05 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.4-alpha1.1
- 5.7.0.4-alpha1.1 build

* Tue Sep 27 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.3-1
- 5.7.0.3-1 build

* Wed Sep 21 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.2-1
- 5.7.0.2-1 build

* Tue Sep 13 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.1-1
- 5.7.0.1-1 build

* Tue Sep 06 2016 Satoe Imaishi <simaishi@redhat.com> - 5.7.0.0-1
- 5.7.0.0-1 build

* Wed Aug 10 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.1.2-1
- 5.6.1.2-1 build

* Wed Aug 10 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.1.1-1
- 5.6.1.1-1 build

* Tue Jul 26 2016 John Prause <jprause@redhat.com> - 5.6.1.0-1
- 5.6.1.0-1 build

* Fri Jun 24 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.13-1
- 5.6.0.13-1 build

* Tue Jun 21 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.12-1
- 5.6.0.12-1 build

* Tue Jun 14 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.11-rc2.2.1
- 5.6.0.11-rc2.2.1 build

* Tue Jun 07 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.10-rc2.1.1
- 5.6.0.10-rc2.1.1 build

* Tue May 31 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.9-rc2.1
- 5.6.0.9-rc2.1 build

* Tue May 24 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.8-rc1.1
- 5.6.0.8-rc1.1 build

* Mon May 16 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.7-beta2.6.1
- 5.6.0.7-beta2.6.1 build

* Wed May 11 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.6-beta2.5.1
- 5.6.0.6-beta2.5.1 build

* Tue May 03 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.5-beta2.4.1
- 5.6.0.5-beta2.4.1 build

* Thu Apr 21 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.4-beta2.3.1
- 5.6.0.4-beta2.3.1 build

* Wed Apr 20 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.2-beta2.1.1
- 5.6.0.2-beta2.1.1 build

* Wed Apr 13 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.1-beta2.1
- 5.6.0.1-beta2.1 build

* Tue Mar 22 2016 Satoe Imaishi <simaishi@redhat.com> - 5.6.0.0-beta1.1
- Building 5.6.0.0-beta1.1

* Wed Jan 27 2016 John Prause <jprause@redhat.com> - 5.5.2.4-1
- Building 5.5.2.4-1 -we skipped the prior build due to errors

* Thu Jan 21 2016 John Prause <jprause@redhat.com> - 5.5.2.2-1
- Building 5.5.2.2-1

* Thu Jan 14 2016 John Prause <jprause@redhat.com> - 5.5.2.1-1
- Building 5.5.2.1-1

* Mon Dec 21 2015 John Prause <jprause@redhat.com> - 5.5.2.0-1
- Building 5.5.2.0-1, build for containers team to test

* Thu Dec 03 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.13-2
- Building 5.5.0.13-2, rubygem-redhat_access_cfme updated

* Tue Dec 01 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.13
- Building 5.5.0.13

* Tue Nov 24 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.12-rc2.1
- Building 5.5.0.12 rc2.1

* Tue Nov 17 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.11-rc1.1
- Building 5.5.0.11 rc1.1

* Tue Nov 10 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.10-beta2.1.1
- Building 5.5.0.10 beta2.1.1

* Mon Nov 02 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.9-beta2.1
- Building 5.5.0.9 beta2.1

* Tue Oct 27 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.8-beta1.4.1
- Building 5.5.0.8 beta1.4.1

* Wed Oct 21 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.7-beta1.3.1
- Building 5.5.0.7 beta1.3.1

* Wed Oct 14 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.6-beta1.2.1
- Building 5.5.0.6 beta1.2.1

* Wed Oct 07 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.5-beta1.1.1
- Building 5.5.0.5 beta1.1.1

* Wed Oct 07 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.4-beta1.1
- Building 5.5.0.4 beta1.1

* Tue Sep 29 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.3-alpha1.2.1
- Building 5.5.0.3 alpha1.2.1

* Wed Sep 23 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.2-alpha1.1.1
- Building 5.5.0.2 alpha1.1.1 build

* Tue Sep 15 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.1-alpha1.1
- Building 5.5.0.1 alpha1 build

* Fri Sep 11 2015 Satoe Imaishi <simaishi@redhat.com> - 5.5.0.0-alpha.2
- Building 5.5.0.0-alpha.2

* Thu Aug 20 2015 John Prause <jprause@redhat.com> - 5.4.2.0-1
- Building 5.4.2.0-1 for 5.4.z

* Fri Jul 17 2015 Satoe Imaishi <simaishi@redhat.com> - 5.4.1.0-1
- Building 5.4.1.0-1 for 5.4.z

* Fri Jun 05 2015 John Prause <jprause@redhat.com> - 5.4.0.5-1
- Building 5.4.0.5 for QE

* Fri May 29 2015 John Prause <jprause@redhat.com> - 5.4.0.4-1
- Building 5.4.0.4 for QE

* Tue May 26 2015 John Prause <jprause@redhat.com> - 5.4.0.3-1
- Building 5.4.0.3 for QE

* Tue May 19 2015 John Prause <jprause@redhat.com> - 5.4.0.2-1
- Building 5.4.0.2 for QE

* Wed May 13 2015 John Prause <jprause@redhat.com> - 5.4.0.1-1
- Building 5.4.0.1 for QE

* Mon May 11 2015 John Prause <jprause@redhat.com> - 5.4.0.0.26-1
- Building 5.4.0.0.26

* Mon May 04 2015 John Prause <jprause@redhat.com> - 5.4.0.0.25-1
- Building 5.4.0.0.25

* Thu Apr 30 2015 Alberto Bellotti <abellott@redhat.com> - 5.4.0.0.24-2
- Added new %post section to make sure external authentication configuration is migrated.

* Tue Apr 28 2015 John Prause <jprause@redhat.com> - 5.4.0.0.24-1
- Updated to version 5.4.0.0-ga-test3

* Thu Apr 23 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.23-1
- Updated to version 5.4.0.0-ga-test2

* Wed Apr 22 2015 Mo Morsi <mmorsi@redhat.com> - 5.4.0.0.22-2
- Split out individual vmdb files, mark certs as config
- Fix date in changelog

* Mon Apr 20 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.22-1
- Revert to original Gemfiles after gemset creation

* Sat Apr 18 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.21-1
- Updated to version 5.4.0.0-ga-test1

* Fri Apr 10 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.19-1
- Updated Gemfiles to not lock down the compiled gems versions

* Thu Apr 09 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.18-1
- Update to beta2b build including the compiled gems

* Thu Apr 09 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.17-1
- Update to beta2b build

* Mon Apr 06 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.15-1
- Move compiled gems from cfme-gemset into individual RPMs

* Fri Mar 27 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.14-3
- Test build for incorporating the iptables using iptables.old

* Wed Mar 25 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.14-2
- Add incorporating the iptables updates

* Wed Mar 25 2015 John Prause <jprause@redhat.com> 5.4.0.0.14-1
- Buillding 5.4.0.0 beta1 third respin

* Fri Mar 20 2015 John Prause <jprause@redhat.com> 5.4.0.0.13-1
- Buillding 5.4.0.0 beta1 second respin

* Mon Mar 16 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.12-3
- Add the wmi package

* Mon Mar 16 2015 Joe VLcek <jvlcek@redhat.com> 5.4.0.0.12-2
- Add the patch package

* Tue Mar 10 2015 John Prause <jprause@redhat.com> - 5.4.0.0.12-1
- Respin of Beta1 build

* Tue Mar 10 2015 John Prause <jprause@redhat.com> - 5.4.0.0.11-1
- Beta1 build - Sprint20

* Thu Feb 19 2015 John Prause <jprause@redhat.com> - 5.4.0.0.10-1
- Alpha4 build - Sprint19

* Thu Feb 12 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0.9-2
- Add qpid_messaging

* Fri Feb 06 2015 John Prause <jprause@redhat.com> - 5.4.0.0.9
- First 5.4 build for JP

* Wed Feb 04 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-8
- Remove Gemfile.lock link
- Revise 5.4.0.0-alpha3

* Mon Feb 02 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-7
- Add file evm_productization
- Revise 5.4.0.0-7.alpha2

* Mon Jan 26 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-6
- cfme-gemset moved to /opt/rh

* Mon Jan 26 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-5
- Add Rakefile to app_root

* Wed Jan 21 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-4
- Set app_root to /var/www/miq

* Wed Jan 21 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-3
- Update to leave git locations in Gemfile

* Fri Jan 16 2015 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-2
- Update to using cfme-gemset

* Fri Dec 19 2014 Joe VLcek <jvlcek@redhat.com> - 5.4.0.0-1
- Remove Smart Proxy, ming
- Update from 5.3 to 5.4
- Migrate from ruby193 to ruby200
- Update for any gem changes
- use scl macro

* Mon Dec 08 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.2.2-3
- Use updated gemfile.lock now provided in cfme_productization

* Mon Dec 08 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.2.2-3
- Use updated gemfile.lock now provided in cfme_productization

* Thu Dec 04 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.2.2-2
- Revert req for sssd and sssd-dbus to 1.11.6

* Thu Dec 04 2014 John Prause <jprause@redhat.com> - 5.3.2.2-1
- Added necessary gem rpm to the advisory

* Wed Dec 03 2014 John Prause <jprause@redhat.com> - 5.3.2.1-2
- Updated req for sssd and sssd-dbus to 1.11.6-30

* Wed Dec 03 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.2.1-1
- Updating require for linux_admin to at least v0.9.3

* Wed Dec 03 2014 John Prause <jprause@redhat.com> - 5.3.2.1-1
- Building 5.3.2.1 with RHEL66 for 5.3.z release and QE

* Wed Nov 12 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.1.10-1
- Building 5.3.1.10 with RHEL66 for 5.3.z release

* Tue Nov 04 2014 John Prause <john.prause@redhat.com> - 5.3.1.9-1
- Building 5.3.1.9 with RHEL66 for 5.3.z release

* Thu Oct 30 2014 John Prause <john.prause@redhat.com> - 5.3.1.8-1
- Building 5.3.1.8 with RHEL66 for 5.3.z release

* Tue Oct 28 2014 John Prause <john.prause@redhat.com> - 5.3.1.6-1
- Building 5.3.1.6 with RHEL66 for 5.3.z

* Thu Oct 16 2014 John Prause <john.prause@redhat.com> - 5.3.1.2-1
- Building 5.3.1.2 with RHEL65 for initial testing

* Wed Oct 15 2014 Joe Vlcek <jvlcek@redhat.com> - 5.3.0.15-2
- Copy system/COPY/var to buildroot for support for Kerberos Ticket based Single Sign-On

* Mon Sep 29 2014 John Prause <john.prause@redhat.com> - 5.3.0.15-1
- Building 5.3.0.15 for QE final testing before release. Picking up last fixes and the 2nd bash fix.

* Thu Sep 25 2014 John Prause <john.prause@redhat.com> - 5.3.0.14-1
- Building 5.3.0.14 for QE final testing before release. Skipped .13 in tagging.

* Fri Sep 19 2014 John Prause <john.prause@redhat.com> - 5.3.0.12-1
- Building 5.3.0.12 for QE testing.

* Tue Sep 16 2014 John Prause <john.prause@redhat.com> - 5.3.0.11-1
- Building 5.3.0.11 for QE testing.

* Fri Sep 12 2014 John Prause <john.prause@redhat.com> - 5.3.0.10-1
- Building 5.3.0.10 for QE testing.

* Thu Sep 11 2014 John Prause <john.prause@redhat.com> - 5.3.0.8-2
- Building 5.3.0.8 for QE testing.

* Wed Sep 10 2014 John Prause <john.prause@redhat.com> - 5.3.0.8-1
- Building 5.3.0.8 for QE testing.

* Fri Sep 05 2014 John Prause <john.prause@redhat.com> - 5.3.0.7-1
- Building 5.3.0.7 for QE testing.

* Fri Aug 29 2014 John Prause <john.prause@redhat.com> - 5.3.0.6-1
- Building 5.3.0.6 for QE testing.

* Fri Aug 22 2014 John Prause <john.prause@redhat.com> - 5.3.0.5-2
- Building 5.3.0 Beta2 but this time excluding the ca directory.

* Fri Aug 22 2014 John Prause <john.prause@redhat.com> - 5.3.0.5-1
- Building 5.3.0 Beta2

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.2-3
- Try adding sssd package as a require to ensure ipa-client meets it's require
- sssd >= 1.9.2-25 for package: ipa-client-3.0.0-37.el6.x86_64

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.2-2
- Smoke and mirrors.
- Move the sssd-dbus dependency into cfme-appliance package to force it to resolve first.

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.2-1
- Rebase to new 5.3.0.2 to include tarball creation fix.
- Revise 5.3.0.0-14.alpha6 changelog to escape macro using "%%".

* Tue Aug 05 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.1-2
- Prior tarball included undesired artifacts from running asset precompilation.
- See: https://github.com/ManageIQ/manageiq/pull/341

* Mon Aug 04 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.1-1
- Add identity packages.
- Rebase to new branch/tag.

* Fri Aug 01 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-18.alpha9
- Update to 5.3.0.0-alpha9.
- Loosen frequently updated dependencies.

* Wed Jul 30 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-17.alpha8
- Add qpid-cpp-client-ssl for https://bugzilla.redhat.com/show_bug.cgi?id=1118902
- Use newer sprockets
- Remove building of the vddk c binding

* Thu Jul 10 2014 John Prause <jprause@redhat.com> - 5.3.0.0-16.alpha8
- Update for 5.3.0.0-16-alpha8 build

* Mon Jun 23 2014 John Prause <jprause@redhat.com> - 5.3.0.0-14.alpha7
- Update for 5.3.0.0-14-alpha7 build

* Tue May 27 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-14.alpha6
- Include the ca buildroot/app_root directory

* Thu May 22 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-13.alpha6
- Update for 5.3.0.0-13-alpha6 build

* Fri May 16 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-12.alpha5
- Update spec to remove files no longer included for logrotate.
- https://github.com/ManageIQ/cfme/pull/2269

* Fri May 16 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-11.alpha5
- TRUNCATED CHANGELOG See git history or cfme-5.2-rhel-6 branch for older changes

* Tue May 13 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-10.alpha5
- Fix jbuilder Requires typo

* Mon May 12 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-9.alpha5
- Update for 5.3.0.0-9-alpha5 build

* Tue Apr 22 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-8.alpha4
- Added BuildRequires for rake.
- Added rake build:shared_objects feature to eliminate duplication.
- For testing, added tarball from upstream sources at: https://github.com/ManageIQ/cfme/pull/2111

* Mon Apr 14 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-7.alpha4
- Fix build from 5.3.0.0-6-alpha3 5.3.0.0-7-alpha4 build

* Mon Apr 14 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-6.alpha4
- Update for 5.3.0.0-6-alpha4 build

* Fri Apr 11 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-5.alpha3
- Update for 5.3.0.0-5-alpha3 build

* Fri Apr 04 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-4.alpha2
- Restore ruby193-rubygem-amq-protocol and ruby193-rubygem-bunny

* Thu Apr 03 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-3.alpha2
- Fix excon - for real this time

* Thu Apr 03 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-2.alpha2
- Fix versions for fog and excon

* Wed Apr 02 2014 Joe VLcek <jvlcek@redhat.com> - 5.3.0.0-1.alpha2
- Update for 5.3.0.0-1-alpha2 build

* Tue Apr 01 2014 Joe Rafaniello <jrafanie@redhat.com> - 5.3.0.0-1.alpha1
- Fix Prince PDF license file "Installed (but unpackaged) file(s) found" error.

* Fri Mar 28 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-1.alpha1
- Remove Gemfile.appliance_excludes.rb exclusion out of spec
- https://github.com/ManageIQ/cfme/pull/1969

* Mon Mar 10 2014 Brandon Dunne <bdunne@redhat.com> - 5.3.0.0-1.alpha1
- set up symlink for Prince PDF license file.
